#include <iostream>
#include <stdio.h>
#include <string>

using namespace std;

int main()
{
    int a[2];
    char c[2];
    string s = "";
    scanf("%c%c",&c[0],&c[1]);
    scanf("%d%d",&a[0],&a[1]);

    if (abs(a[1]-a[0])>1)
    {
        printf("nemoguce");
        return 0;
    }

    if (a[1]>a[0])
    {
        char q = c[0];
        c[0] = c[1];
        c[1] = q;
    }

    for(int i=0; i<a[0]+a[1]; i++)
        s.push_back(c[i%2]);

    cout << s << endl;

    return 0;
}